// speichert einen einzelnen Kontakt

import java.io.*;

public class Kontakt implements Serializable {
	private String vorname, nachname;
	private String telefon;
	
	public Kontakt (String vname, String nname, String telnr) {
		vorname = vname;
		nachname = nname;
		telefon = telnr;
	}
	
	public boolean suche (String s) {
		if (vorname.contains(s) || nachname.contains(s) || telefon.contains(s)) {
			return true;
		}
		else {
			return false;
		}			
	}
	
	public void setVorname (String s) {
		vorname = s;
	}
		
	public String getVorname () {
		return vorname;
	}
	
	public void setNachname (String s) {
		nachname = s;
	}
		
	public String getNachname () {
		return nachname;
	}
	
	public void setTelefon (String s) {
		telefon = s;
	}
		
	public String getTelefon () {
		return telefon;
	}
	
	// wir ueberschreiben toString(), damit die Methode ArrayList.toArray() sinnvolle Werte fuer einen Kontakt zurueckgibt
	public String toString() {
		return vorname + " " + nachname + ":" + telefon;
	}
}